%ifarch ppc ppc64
%define __arch		ppc
%else
%define __arch		x86_64
%endif
%define __pythiaver     6.424

Summary: ROOT
Name: root
Version: 5.34.14
Release: 10.9%{?dist}3a
Source0: localhost:/%{name}_v%{version}.source.tar.gz
Patch0:  localhost:/root_v5.28.00-macosx10.6.patch
Patch1:  localhost:/root_v5.32.02-noclang.patch
URL: http://wwwasd.web.cern.ch/wwwasd/cernlib/
Group: Development/Libraries
License: LGPL
%define __prefix	/opt/root
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: pythia = %{__pythiaver}
BuildRequires: fftw3-devel gsl-devel
Requires: pythia

Provides: climits.dll
Provides: complex.dll
Provides: deque.dll
Provides: exception.dll
Provides: ipc.dll
Provides: list.dll
Provides: map.dll
Provides: map2.dll
Provides: multimap.dll
Provides: multimap2.dll
Provides: multiset.dll
Provides: posix.dll
Provides: queue.dll
Provides: set.dll
Provides: stack.dll
Provides: stdcxxfunc.dll
Provides: stdexcept.dll
Provides: stdfunc.dll
Provides: valarray.dll
Provides: vector.dll
Provides: vectorbool.dll

%description
The ROOT system provides a set of OO frameworks with all the functionality needed to handle
and analyse large amounts of data in a very efficient way. Having the data defined as a set 
of objects, specialised storage methods are used to get direct access to the separate 
attributes of the selected objects, without having to touch the bulk of the data. Included 
are histograming methods in 1, 2 and 3 dimensions, curve fitting, function evaluation, 
minimisation, graphics and visualization classes to allow the easy setup of an analysis 
system that can query and process the data interactively or in batch mode.

Thanks to the builtin CINT C++ interpreter the command language, the scripting, or macro, 
language and the programming language are all C++. The interpreter allows for fast prototyping 
of the macros since it removes the time consuming compile/link cycle. It also provides a good 
environment to learn C++. If more performance is needed the interactively developed macros 
can be compiled using a C++ compiler.

The system has been designed in such a way that it can query its databases in parallel on MPP 
machines or on clusters of workstations or high-end PC's. ROOT is an open system that can be 
dynamically extended by linking external libraries. This makes ROOT a premier platform on 
which to build data acquisition, simulation and data analysis systems.

%prep
%setup -n %{name} -q
%patch0 -p1 -b .osx
%patch1 -p1 -b .noclang

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%build
./configure --with-pythia6-libdir=/opt/pythia/v%{__pythiaver}/lib --enable-minuit2 --enable-roofit --enable-gdml --enable-mathmore --enable-gsl-shared --with-finkdir=/usr/osxws
make %{?_smp_mflags}

%install
export ROOTSYS=%{__prefix}/%{version}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%dir %{__prefix}/%{version}
%{__prefix}/%{version}/*

%changelog
* Mon Dec 16 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 5.34.14-10.9hepx3a
- 1st release on MacOS X 10.9 for x86_64.

* Sun Dec 15 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 5.34.12-10.9hepx3a
- 2nd release on MacOS X 10.9 for x86_64.
- Now automatically builds itself and installed into /opt/root/%{version}

* Sat Dec 07 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 5.34.12-10.9hepx2a
- 1st release on MacOS X 10.9 for x86_64.
- Now pythia is searated as a independent package.
- Root hence requires pythia.

* Sun Nov 11 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 5.34.03-10.7hepx1c
- 3rd release on MacOS X 10.7 for x86_64.
- Updated pythia from 6.415 to 6.424
- Fixed install_name of libPythia6.dylib so as to use @rpath

* Thu Nov 08 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 5.34.03-10.7hepx1b
- 2nd release on MacOS X 10.7 for x86_64.
- Updated pythia from 6.415 to 6.422

* Wed Oct 31 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 5.34.03-10.7hepx1a
- 1st release on MacOS X 10.7 for x86_64.

* Tue Oct 9 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 5.34.02-10.7hepx1a
- 1st release on MacOS X 10.7 for x86_64.

* Tue Aug 21 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 5.34.01-10.7hepx1a
- 1st release on MacOS X 10.7 for x86_64.

* Thu May 03 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 5.32.00-10.7hepx1b
- 2nd release on MacOS X 10.7 for x86_64.
- rebuilt with gsl to support MathMore

* Wed May 02 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 5.32.00-10.7hepx1a
- 1st release on MacOS X 10.7.
- now built for x86_64

* Thu Dec 23 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.32.00-10.6hepx1b
- 2nd release on MacOS X 10.7.
- rebuilt with gcc-32, g++-32, and gfortran-32 instead of clang suit.

* Thu Dec 22 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.32.00-10.6hepx1a
- 1st release on MacOS X 10.7.

* Tue Oct 11 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.30.02-10.6hepx1b
- 2nd release on MacOS X 10.6.
- rebuilt with MySQL-5.1.56

* Sat Sep 24 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.30.02-10.6hepx1a
- 1st release on MacOS X 10.6.

* Wed Jul 13 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.30.00-10.6hepx1a
- 1st release on MacOS X 10.6.

* Thu May 19 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.28.00d-10.6hepx1a
- 1st release on MacOS X 10.6.

* Wed Mar 2 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.28.00a-10.6hepx1a
- 1st release on MacOS X 10.6.

* Thu Jan 27 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.28.00-10.6hepx1b
- 2nd release on MacOS X 10.6.
- Added GDML support.

* Wed Jan 26 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 5.28.00-10.6hepx1a
- 1st release on MacOS X 10.6.

* Sat Dec 04 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.27.06b-10.6hepx1a
- 1st release on MacOS X 10.6.

* Sat Dec 04 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00d-10.6hepx1b
- 2nd release on MacOS X 10.6.
- Addd GDML support.

* Thu Sep 09 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00d-10.6hepx1a
- 1st release on MacOS X 10.6.

* Sun May 09 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00b-10.6hepx1a
- 1st release on MacOS X 10.6.

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00a-10.6hepx1b
- 2nd release on MacOS X 10.6.
- Added map.so to Provides:

* Mon Mar 08 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 5.26.00a-10.6hepx1a
- 1st release on MacOS X 10.6.

* Fri Mar 20 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 5.22.00a-10.5hepx1a
- 1st release on MacOS X 10.5.

* Sat Mar 14 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 5.22.00-10.5hepx1b
- 2nd release on MacOS X 10.5.
- Fixed install_name of libPythia6.so to use @rpath

* Thu Jan 15 2009 Keisuke Fujii <keisuke.fujii@kek.jp> 5.22.00-10.5hepx1a
- 1st release on MacOS X 10.5.

* Tue Sep 23 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.21.02-10.5hepx1a
- 1st release on MacOS X 10.5.

* Tue Aug 19 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.20.00-10.5hepx1b
- 2nd release on MacOS X 10.5.
- with fftw3 support.

* Thu Jul  3 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.20.00-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Mon Jun  9 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.19.04-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Thu Mar 27 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.19.02-10.5hepx1b
- 1st release on MacOS X 10.5 for PPC Macs.

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 5.19.02-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.
